﻿#region Copyright Syncfusion Inc. 2001 - 2012
// Copyright Syncfusion Inc. 2001 - 2012. All rights reserved.
// Use of this code is subject to the terms of our license.
// A copy of the current license can be obtained at any time by e-mailing
// licensing@syncfusion.com. Any infringement will be prosecuted under
// applicable laws. 
#endregion
using System.Windows;
using System.Windows.Documents;
using System.Windows.Xps.Packaging;
using System.IO;
using System.Windows.Xps;
using Syncfusion.Pdf.Parsing;
using System.Collections.Generic;
using System.Drawing;
using System.Diagnostics;
using Syncfusion.Pdf.Graphics;

namespace GettingStarted_2008
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {       
        # region Constructor
        public Window1()
        {
            InitializeComponent();           
        }
        # endregion

        # region Events
        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            string filePath = "../../Data/Barcode.pdf";

            PdfLoadedDocument doc = new PdfLoadedDocument(filePath);
            pdfviewercntrl.Load(doc);

            string searchText = "Type";
            Debug.WriteLine(string.Format("Searching for {0}", searchText));
            //Finding the particular text in the Pdf document
            Dictionary<int, List<RectangleF>> matchText = null;
            pdfviewercntrl.FindText(searchText, out matchText);

            //Location of the matching text
            foreach (int page in matchText.Keys)
            {
                foreach (RectangleF rect in matchText[page])
                {
                    Debug.WriteLine(string.Format("Page {0} - X={1}, Y={2}, Width={3}, Height={4}", page, rect.X, rect.Y, rect.Width, rect.Height));
                    //Editing and resaving the docuemnt with the highlighted rectangle
                    PdfGraphics graphics = doc.Pages[page].Graphics;
                    RectangleF highlightRectangle = new RectangleF(rect.X, rect.Y, rect.Width, rect.Height);
                    PdfBrush brush = new PdfSolidBrush(new PdfColor(Color.Red));
                    graphics.SetTransparency(0.25f);
                    graphics.DrawRectangle(PdfBrushes.Red, highlightRectangle);
                    graphics.SetTransparency(1);
                }
            }
            doc.Save("Sample.pdf");
            pdfviewercntrl.Load(doc);
        }        
        # endregion
    }
}
